### Name: dr
### Title: Dimension reduction regression
### Aliases: dr plot.dr print.dr summary.dr print.summary.dr
###   model.matrix.dr dr.weights
### Keywords: regression

### ** Examples

library(dr)
data(ais)
attach(ais)  # the Australian athletes data
#fit dimension reduction using sir
m1 <- dr(LBM~Wt+Ht+RCC+WCC, method="sir", nslices = 8)
summary(m1)

# repeat, using save:

m2 <- update(m1,method="save")
summary(m2)

# repeat, using phd:

m3 <- update(m2, method="phdres")
summary(m3)



